Subject: Re: bug#5595: Commenting in F90

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Feb 2010 13:25:16 -0500

>> It's a little ambiguous from that as to whether it indents the first
>> line or not. The Emacs manual is clearer, saying:
>> Like<RET>  followed by inserting and aligning a comment
>> Ie, it does not indent the first line, only the second.
>> Under these criteria, it appears to be working correctly.

> Uhm...

> It is not clear why this happens only with F90 mode. Repeating with
> foo.cpp' (C/C++ mode and '!' --> '//') or with 'foo.f' (Fortran mode,
> !' --> 'C'), C-M-j sets the comment character correctly indended (to me!),
> under the previous and not shifted...

comment-indent-new-line is written with a "traditional" free text style
of languages and comments, so I'm not surprised it doesn't work 100%
right under languages such as Fortran.
It's a nasty function, but I've spent a fair bit of time in it (years
ago), so I should be able to track down the problem.

        Stefan